package com.baidu.ai.rtasr;

import java.util.HashMap;
import java.util.Map;

public class Config {

    // 请在此填写appid和appkey
    public static final String APP_ID = "";
    public static final String APP_KEY = "";

    // 需要翻译的音频文件
    public static final String AUDIO_FILE_PATH = "src/main/resources/test_1.pcm";
    // tts音频播报保存路径
    public static final String TTS_AUDIO_SAVE_PATH = "src/main/resources/a.pcm";
    // 服务地址
    public static final String WSS_ASR_URL = "ws://aip.baidubce.com/ws/realtime_speech_trans";
    // 音频采样率
    public static final int AUDIO_RATE = 16000;
    // 每帧音频数据时长: 毫秒
    public static final int AUDIO_SLICE_MS = 40;

    public static final Map<String, Object> START_FRAME = new HashMap<String, Object>() {
        {
            put("type", "START");
            put("from", "zh");
            put("to", "en");
            put("sampling_rate", 16000);
            put("app_id", APP_ID);
            put("app_key", APP_KEY);
            put("return_target_tts", true);
            put("tts_speaker", "man");
        }
    };

    public static final Map<String, Object> FINISH_FRAME = new HashMap<String, Object>() {
        {
            put("type", "FINISH");
        }
    };

}
